DX Application Performance Management

Expand all | Collapse all

Websphere Liberty 18.0.0.x agent installation

Jump to Best Answer
  • 1.  Websphere Liberty 18.0.0.x agent installation

    Posted 06-14-2018 11:02 AM

    Hello,

    is it possible to install the 10.5.2 agent on this host ?:

     

    • WebSphere Liberty 18.0.0.1

    • Java version "1.8.0" (IBM J9 VM (build 2.8, JRE 1.8.0 Linux amd64-64 Compressed References 20160427_301573 (JIT enabled, AOT enabled))

    • Red Hat Enterprise Linux Server release 7.5 (Maipo) - 3.10.0-862.3.2.el7.x86_64 #1 SMP Tue May 15 18:22:15 EDT 2018 x86_64 x86_64 x86_64 GNU/Linux

     

    On the compatibility guide i can see the version 17.0.0.x only. Is it compatible ?

    Thanks

    Davide



  • 2.  Re: Websphere Liberty 18.0.0.x agent installation

    Posted 06-14-2018 03:32 PM

    It doesn't look like we've tested this combination yet. Please open a support ticket and the Support team can open a request for this combination to be tested. Based on the results of that request, we can let you know if the combination is officially supported. 



  • 3.  Re: Websphere Liberty 18.0.0.x agent installation

    Posted 06-15-2018 02:09 AM

    Hi,

     

    There is a case already open for this which I got yesterday and am working

     

    cheers

    Mike



  • 4.  Re: Websphere Liberty 18.0.0.x agent installation

    Posted 06-14-2018 08:35 PM

    Hi Davide,

    Further to Thomas Wyszomierski 's advice about creating a support case, in the meantime you could try to install the agent on a WLP 18.0 test environment to see if you encounter any problems.

     

    The relevant section of the docops is here:

    WebSphere Liberty - CA Application Performance Management - 10.5 - CA Technologies Documentation 

     

    Per the reference to known issue IBM WebSphere Liberty Profile Runtime Crash When Java Agent Enabled, I would strongly suggest using AgentNoRedefNoRetrans.jar & IntroscopeAgent.websphere.NoRedef.profile to avoid that and other possible adverse symptoms when using an IBM JVM:

    WebSphere Application Server - CA Application Performance Management - 10.5 - CA Technologies Documentation 

    When running an IBM JVM, the APM documentation rec - CA Knowledge 

     

    Regards,

     

    Lynn



  • 5.  Re: Websphere Liberty 18.0.0.x agent installation

    Posted 06-15-2018 07:59 AM

    Adding a PCM link for 10.5.x for Backlinking -- PCM for CA Software - Agile Operations Product Compatibility Search 



  • 6.  Re: Websphere Liberty 18.0.0.x agent installation
    Best Answer

    Posted 06-22-2018 09:26 AM

    Hello Davide,

    A couple of months ago I have received a similar request for a customer in Europe.

    On behalf of the customer I raised a certification request and yesterday I have received a confirmation from the QA team that the combination is supported - see below.

    Best Regards,

    Sergio

     

    +++

    From: Tirumala, Srinivasa Raju
    Sent: Thursday, June 21, 2018 1:14 PM
    To: Morales Correa, Sergio 
    Cc: Swain, Saroj K 
    Subject: RE: Certification request of APM agent 10.5.1 and coming 10.7SP1 Java Agent with WebSphere Liberty 18.0.0.1

     

    Hi Sergio,

     

    Completed QA validation for WebSphere Liberty 18.0.0.1 with APM 10.5.1 & APM 10.7.SP1 / IBM JDK 1.8

     

    Observations:

    • With APM 10.5.1 agent liberty server failed to start with error message “WSVR0501E: Error creating component com.ibm.ws.ssl.core.SSLComponentImpljava.lang.VerifyError: JVMVRFY012 stack shape inconsistent;” . Problem is with IBM JDK version & also we have below to resolve this error :
      https://comm.support.ca.com/kb/unable-to-start-the-appserver-javalangverifyerror-jvmvrfy012-stack-shape-inconsistent/kb000006668 
    • We have to provide introscope.autoprobe.constructor.policy=Partial & introscope.autoprobe.constructor.instrumentation.affected.vendors=Oracle,SAP,IBM  in introscopeAgent.profile file
    • For 10.5.2.16 and later (in effect 10.5.2.SP2) the property is by default changed to Partial

     .. 

    I will add above combinations in to  CG guide’s

     

    Thanks

    Srinivas

    Hi Davide,

     

    Just to clarify the certification that Sergio referred to was on a different OS release to your specific request - the certification on you OS version is still pending - the expectation is that it will be fine but we want to confirm as is RHEL 7 vs RHEL 6

     

    thanks

    Mike

     

    This release combination has now also been certified with the caveat that the problem described in KB article is still applicable



  • 7.  Re: Websphere Liberty 18.0.0.x agent installation

    Posted 06-25-2018 07:34 AM

    Hi Davide,

     

    Just to clarify the certification that Sergio referred to was on a different OS release to your specific request - the certification on you OS version is still pending - the expectation is that it will be fine but we want to confirm as is RHEL 7 vs RHEL 6

     

    thanks

    Mike



  • 8.  Re: Websphere Liberty 18.0.0.x agent installation

    Posted 06-25-2018 06:25 PM

    FYI I added Mike's reply to Sergio's as the correct answer pending confirmation of RHEL 7 compatibility.



  • 9.  Re: Websphere Liberty 18.0.0.x agent installation

    Posted 06-26-2018 03:52 AM

    Thank you Mike.

    Yes, i confirm the OS version

    Red Hat Enterprise Linux Server release 7.5 (Maipo) - 3.10.0-862.3.2.el7.x86_64 #1 SMP Tue May 15 18:22:15 EDT 2018 x86_64 x86_64 x86_64 GNU/Linux

     

    Thanks

    Davide



  • 10.  Re: Websphere Liberty 18.0.0.x agent installation

    Posted 07-09-2018 12:47 PM

    This release combination has now also been certified with the caveat that the problem described in KB article is still applicable